#Example  - Chapter 5#


#download the data "example_chapter5.RData" to C:\regression\ 

# assign the working directory 
setwd ("C:/regression/")


# load "example_chapter5.rdata" 

load ("example_chapter5.rdata")


#"example_chapter5" is the name of the data frame


#descriptive statistics 

# Method 1 - mean, median, standard deviation, variance, min, max, range
mean(example_chapter5$income)
median(example_chapter5$income)
var(example_chapter5$income)
sd(example_chapter5$income)
min(example_chapter5$income)
max(example_chapter5$income)

mean(example_chapter5$education)
median(example_chapter5$education)
var(example_chapter5$education)
sd(example_chapter5$education)
min(example_chapter5$education)
max(example_chapter5$education)


# Method 2- mean, median, standard deviation, variance, min, max, range 
# need a package "pastecs"
install.packages("pastecs")

library (pastecs)

stat.desc(example_chapter5)


# frequency
# need a package "descr"
install.packages("descr")

library(descr)

freq(example_chapter5$residency, plot=FALSE)


#making dummy variables manually, Permanent resident as reference 
#method 1 

example_chapter5$us_dummy <-NA
example_chapter5$work_dummy <-NA


example_chapter5$us_dummy[example_chapter5$residency=="US citizen"] <- 1
example_chapter5$us_dummy[example_chapter5$residency=="Work visa holder"] <- 0
example_chapter5$us_dummy[example_chapter5$residency=="Permanent resident"] <- 0

example_chapter5$work_dummy[example_chapter5$residency=="US citizen"] <- 0
example_chapter5$work_dummy[example_chapter5$residency=="Work visa holder"] <- 1
example_chapter5$work_dummy[example_chapter5$residency=="Permanent resident"] <- 0



#method 2 
install.packages("car")

library(car)
example_chapter5$us_dummy <- recode (example_chapter5$residency, "'US citizen' = 1 ; 'Work visa holder'=0;
'Permanent resident' = 0")

example_chapter5$work_dummy <- recode (example_chapter5$residency, "'US citizen' = 0 ; 'Work visa holder'=1;
'Permanent resident' = 0")

#creating logged variables

example_chapter5$logincome<-log(example_chapter5$income)
example_chapter5$logeducation<-log(example_chapter5$education)


#[Y is logged, X is not]

#correlation among X's

cor(cbind(example_chapter5$education, example_chapter5$us_dummy, example_chapter5$work_dummy))


#multiple regression with logged Y - Model with all X's - Permanent resident as reference
model1_chapter5 <- lm(logincome ~ education + us_dummy + work_dummy, data=example_chapter5)
summary(model1_chapter5)
anova(model1_chapter5)

#multiple regression with logged Y - Model without residency dummy variables 
model2_chapter5 <- lm(logincome ~ education , data=example_chapter5)
summary(model2_chapter5)
anova(model2_chapter5)

#multiple regression with logged Y - Model with all X's - Work visa holder as reference

#method 1 

example_chapter5$perm_dummy <-NA

example_chapter5$perm_dummy[example_chapter5$residency=="US citizen"] <- 0
example_chapter5$perm_dummy[example_chapter5$residency=="Work visa holder"] <- 0
example_chapter5$perm_dummy[example_chapter5$residency=="Permanent resident"] <- 1



#method 2 
install.packages("car")

library(car)
example_chapter5$perm_dummy <- recode (example_chapter5$residency, "'US citizen' = 0 ; 'Work visa holder'=0;
'Permanent resident' = 1")

model3_chapter5 <- lm(logincome ~ education + us_dummy + perm_dummy, data=example_chapter5)
summary(model3_chapter5)
anova(model3_chapter5)





#[X is logged, Y is not]

#correlation among X's

cor(cbind(example_chapter5$logeducation, example_chapter5$us_dummy, example_chapter5$work_dummy))


#multiple regression with logged X - Model with all X's - Permanent resident as reference
model4_chapter5 <- lm(income ~ logeducation + us_dummy + work_dummy, data=example_chapter5)
summary(model4_chapter5)
anova(model4_chapter5)

#multiple regression with logged X - Model without residency dummy variables 
model5_chapter5 <- lm(income ~ logeducation , data=example_chapter5)
summary(model5_chapter5)
anova(model5_chapter5)

#multiple regression with logged X - Model with all X's - Work visa holder as reference


model6_chapter5 <- lm(income ~ logeducation + us_dummy + perm_dummy, data=example_chapter5)
summary(model6_chapter5)
anova(model6_chapter5)

#[both X and Y are logged]


#multiple regression with logged X and Y - Model with all X's - Permanent resident as reference
model7_chapter5 <- lm(logincome ~ logeducation + us_dummy + work_dummy, data=example_chapter5)
summary(model7_chapter5)
anova(model7_chapter5)

#multiple regression with logged X and Y- Model without residency dummy variables 
model8_chapter5 <- lm(logincome ~ logeducation , data=example_chapter5)
summary(model8_chapter5)
anova(model8_chapter5)

#multiple regression with logged X and Y - Model with all X's - Work visa holder as reference


model9_chapter5 <- lm(logincome ~ logeducation + us_dummy + perm_dummy, data=example_chapter5)
summary(model9_chapter5)
anova(model9_chapter5)

